<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
    const year = prompt("Enter year");
    const date = new Date(year, 2, 0);
    console.log(date.getDate());
    if(date.getDate() === 29){
     console.log("Год высокосный");
    } else{
        console.log("Год не высокосный");
    }
        
    </script>
</body>
</html>